local function dummy() end

local CreateBD = function(f, a)
	f:SetBackdrop({
		bgFile = "Interface\\ChatFrame\\ChatFrameBackground", 
		edgeFile = "Interface\\ChatFrame\\ChatFrameBackground", 
		edgeSize = 1, 
	})
	f:SetBackdropColor(0, 0, 0, a or .6)
	f:SetBackdropBorderColor(0, 0, 0)
end

for i = 1, 5 do
	local con = _G["ContainerFrame"..i]
	for j = 1, 7 do
		select(j, con:GetRegions()):Hide()
		select(j, con:GetRegions()).Show = dummy
	end
	for k = 1, MAX_CONTAINER_ITEMS do
		_G["ContainerFrame"..i.."Item"..k]:SetNormalTexture("")
		_G["ContainerFrame"..i.."Item"..k.."IconTexture"]:SetTexCoord(.08, .92, .08, .92)
		_G["ContainerFrame"..i.."Item"..k.."IconQuestTexture"]:SetTexture("Interface\\AddOns\\FreeBags\\border")
		_G["ContainerFrame"..i.."Item"..k.."IconQuestTexture"]:SetVertexColor(1, 0, 0)
		_G["ContainerFrame"..i.."Item"..k.."IconQuestTexture"]:SetTexCoord(0.05, .955, 0.05, .965)
		_G["ContainerFrame"..i.."Item"..k.."IconQuestTexture"].SetTexture = dummy
		local bd = CreateFrame("Frame", nil, _G["ContainerFrame"..i.."Item"..k])
		bd:SetPoint("TOPLEFT", -1, 1)
		bd:SetPoint("BOTTOMRIGHT", 1, -1)
		bd:SetFrameLevel(0)
		CreateBD(bd, 0)
	end

	local f = CreateFrame("Frame", nil, con)
	f:SetPoint("TOPLEFT", 8, -4)
	f:SetPoint("BOTTOMRIGHT", -4, 3)
	f:SetFrameLevel(con:GetFrameLevel()-1)
	CreateBD(f)
end